/*
 * Segment 2 (KEx),  SWE 2.Statischer Import Netz
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.konfig;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

import org.geotools.feature.Feature;
import org.junit.Test;

import de.bsvrz.kex.bwsin.konfig.kb.Zeitbereich;
import de.bsvrz.kex.bwsin.konfig.okstra.Okstra;
import de.bsvrz.kex.bwsin.konfig.okstra.OkstraFeatures;

/**
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: TestZeitbereich.java 7929 2008-04-03 17:39:36Z gieseler $
 * 
 */
public class TestZeitbereich {

	private Okstra odb;

	public void initOkstra() {
		Properties props = new Properties();
		Map se = new HashMap();

		// props.put("Pfad",
		// "/home/gysi/Documents/BaW/SIN/VRZ_BW_DSK_MIF_1_1/");

		Map<String, Object> m = new HashMap<String, Object>();

		// String URLstr =
		// "http://services.interactive-instruments.de/vrzbw/vrz3-wfs.exe";

		String URLstr = "file:///home/gysi/workspace/de.bsvrz.kex.bwsin/okstrads";
		props.put("FILESTORE", Boolean.TRUE);

		URL url;
		try {
			url = new URL(URLstr);
		} catch (MalformedURLException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
			return;
		}
		props.put("SERVER_URL", url);

		// props.put(WFSDataStoreFactory.TIMEOUT.key,new Integer(3000000));
		// props.put(WFSDataStoreFactory.PROTOCOL.key, Boolean.FALSE); // false
		// == GET, true == POST
		// props.put(WFSDataStoreFactory.BUFFER_SIZE.key, new Integer(5000000));
		// // false == GET, true == POST

		try {
			odb = new Okstra(props);
		} catch (ImportException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		}
	}

	/**
	 * Testfunktion Import.
	 */
	@Test
	public void testeZeitbereich() {

		initOkstra();

		try {
			Feature feature = odb.getFeature(OkstraFeatures.EINFACHER_ZEITRAUM,
					"einfacher_Zeitraum.8057769");
			Zeitbereich zb = new Zeitbereich(feature);
			System.out.println("Zeitbereich: " + zb);
		} catch (ImportException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
}
