/*
 * Segment 2 (KEx),  SWE 2.Statischer Import Netz
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.konfig.okstra;

/**
 * Klasse mit statischen Konstanten zum Zugriff auf die Attribute des
 * Feature-Typs 'okstra:Betriebskilometer'.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: OkstraBetriebsKilometer.java 10401 2008-07-10 09:06:04Z gieseler $
 * 
 */
@SuppressWarnings("nls")
public class OkstraBetriebsKilometer extends OkstraFeature {

	/**
	 * Attribut 'okstra:auf_Abschnitt_oder_Ast'.
	 */
	public static final String AOA = "okstra:auf_Abschnitt_oder_Ast";

	/**
	 * Attribut 'Kilometrierung'.
	 */
	public static final String KILOMETRIERUNG = "Kilometrierung";

	/**
	 * Attribut 'in_Block'.
	 */
	public static final String BLOCK = "in_Block";

	/**
	 * Attribut 'okstra:Station'.
	 */
	public static final String STATION = "okstra:Station";

	/**
	 * Konstruktor.
	 */
	public OkstraBetriebsKilometer() {
		super("okstra:Betriebskilometer", "Betriebskilometer", "okstra:",
				Boolean.TRUE);
	}

}
