/*
 * Segment 2 (KEx),  SWE 2.Statischer Import Netz
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.konfig.okstra;

/**
 * Klasse mit statischen Konstanten zum Zugriff auf die Attribute des
 * Feature-Typs 'okstra:Startdatum'.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: OkstraStartDatum.java 7935 2008-04-03 17:41:38Z gieseler $
 * 
 */
@SuppressWarnings("nls")
public class OkstraStartDatum extends OkstraFeature {

	/**
	 * Attribut 'Jahr'.
	 */
	public static final String JAHR = "Jahr";
	/**
	 * Attribut 'Monat_im_Jahr '.
	 */
	public static final String MONAT = "Monat_im_Jahr ";
	/**
	 * Attribut 'Woche_im_Jahr'.
	 */
	public static final String WOCHE_JAHR = "Woche_im_Jahr";

	/**
	 * Attribut 'Woche_im_Monat'.
	 */
	public static final String WOCHE_MONAT = "Woche_im_Monat";

	/**
	 * Attribut 'Tag_im_Monat'.
	 */
	public static final String TAG_MONAT = "Tag_im_Monat";

	/**
	 * Attribut 'Tag_in_der_Woche'. Das Attribut "Tag_in_der_Woche" gibt den
	 * Wochentag in folgender Codierung an: 1 = Sonntag 2 = Montag 3 = Dienstag
	 * 4 = Mittwoch 5 = Donnerstag 6 = Freitag 7 = Samstag
	 */
	public static final String WOCHENTAG = "Tag_in_der_Woche";

	/**
	 * Attribut 'Stunde_am_Tag'.
	 */
	public static final String STUNDE = "Stunde_am_Tag";
	/**
	 * Attribut 'Minute_in_der_Stunde'.
	 */
	public static final String MINUTE = "Minute_in_der_Stunde";
	/**
	 * Attribut 'Sekunde_in_der_Minute'.
	 */
	public static final String SEKUNDE = "Sekunde_in_der_Minute";

	/**
	 * Attribut 'vorwaerts_oder_rueckwaerts'.
	 */
	public static final String VOWAERTS_ODER_RUECKWAERTS = "vorwaerts_oder_rueckwaerts";

	/**
	 * Konstruktor.
	 */
	public OkstraStartDatum() {
		super("okstra:Startdatum", "Startdatum", "okstra:", Boolean.FALSE);
	}

}
